#
# spec file for package perl-Email-Date-Format
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define cpan_name Email-Date-Format
Name:           perl-Email-Date-Format
Version:        1.008
Release:        1.3
License:        Artistic-1.0 OR GPL-1.0-or-later
Summary:        Produce RFC 2822 date strings
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/R/RJ/RJBS/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.78
BuildRequires:  perl(Test::More) >= 0.96
BuildRequires:  perl(Time::Local) >= 1.27
Requires:       perl(Time::Local) >= 1.27
%{perl_requires}

%description
This module provides a simple means for generating an RFC 2822 compliant
datetime string. (In case you care, they're not RFC 822 dates, because they
use a four digit year, which is not allowed in RFC 822.)

%prep
%autosetup  -n %{cpan_name}-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%doc Changes README
%license LICENSE

%changelog
* Sun Jan 15 2023 Tina Müller <timueller+perl@suse.de>
- updated to 1.008
  see /usr/share/doc/packages/perl-Email-Date-Format/Changes
  1.008     2023-01-13 21:44:14-05:00 America/New_York
  - use the version of Time::Local that doesn't guess at whether a year
    is 99 or 1999 🙂
  - skip tests on Win32 that never pass
  - modernize just a bit of code
* Mon Jan  2 2023 Tina Müller <timueller+perl@suse.de>
- updated to 1.007
  see /usr/share/doc/packages/perl-Email-Date-Format/Changes
  1.007     2022-12-31 21:19:59-05:00 America/New_York
  - update author info
* Wed Nov  9 2022 Dirk Stoecker <opensuse@dstoecker.de>
- updated to 1.006
  see /usr/share/doc/packages/perl-Email-Date-Format/Changes
  1.006     2022-10-22 16:01:01-04:00 America/New_York
  - update packaging
  - avoid using ambiguous 2 digit years (thanks, bitcardbmw@lsmod.de)
- drop fix-time-local.patch (upstream)
* Tue Jun 11 2019 Pedro Monreal Gonzalez <pmonrealgonzalez@suse.com>
- Updated spec file with spec-cleaner
- Added required dependencies
- Capitalize summary
* Sun Jun  9 2019 Bernhard Wiedemann <bwiedemann@suse.com>
- Add fix-time-local.patch to call Time::Local correctly
* Tue Apr 14 2015 coolo@suse.com
- updated to 1.005
  see /usr/share/doc/packages/perl-Email-Date-Format/Changes
  1.005     2014-10-13 08:32:03-04:00 America/New_York
    fix documentation of export names (thanks, Thomas Klausner!)
* Tue Aug  6 2013 coolo@suse.com
- updated to 1.004
    fix repo and bugtracker link (stupid case sensitivity!)
    (thanks, Slaven Rezic!)
* Sun Aug  4 2013 coolo@suse.com
- updated to 1.003
  new repo, new bugtracker
* Fri Nov 18 2011 coolo@suse.com
- use original .tar.gz
* Tue Nov 30 2010 coolo@novell.com
- switch to perl_requires macro
* Wed Nov 24 2010 chris@computersalat.de
- recreated by cpanspec 1.78
  o fix deps
- noarch pkg
- added bcond_with pod
* Tue Oct 19 2010 coolo@novell.com
- add perl as explicit buildrequire
* Sun Jan 10 2010 jengelh@medozas.de
- enable parallel build
* Fri Feb 27 2009 anicka@suse.cz
- package created (version 1.002)
